Developer API
AI-as-a-Service for your tools and applications.
Alphakek API gives developers access to some of our B2C functionalities, Meme Generator and AI Playground, via open, modular, and composable APIs. Designed for applications such as agents, chatbots, crypto research, image generation, trade alerts, and more.
Modules

Memelord API
Integrate our Meme Generator to generate images.

Wizard API
Integrate AI Playground into your product!
Further reading:
For pricing, refer to the API Pricing.
For code examples, refer to API Usage Examples or our Python SDK.
Authentification
To start using the API, the user must first obtain the access token. After logging in with Metamask or WalletConnect on alphakek.ai, open the API Keys tab on the user profile page.
Note that the newly created token will never be shown on the screen. Instead, it will be copied to the copy buffer immediately for security reasons.

Account Data
The /account endpoint allows users to see their current balances of:
$AIKEK value in USD
This API endpoint is free to use.
Successful Response
User's Ethereum address in lowercase (or Solana public key)
User's chain type
ethereumPossible values: User's tokens balance
0User's tokens balance in USD
0User's Telegram ID
UTC timestamp when credits were last awarded
GET /account HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Successful Response
{
"address": "text",
"chain_type": "ethereum",
"credits": 1,
"tokens": 0,
"tokens_usd": 0,
"bonuses": [
{
"usd_value": 1,
"description": "text"
}
],
"telegram_id": 1,
"balance_details": {
"eth_balance_tokens": 1,
"eth_balance_usd": 1,
"base_balance_tokens": 1,
"base_balance_usd": 1,
"solana_balance_tokens": 0,
"solana_balance_usd": 0,
"total_balance_tokens": 1,
"total_balance_usd": 1
},
"last_credits_awarded_at": "2026-01-01T00:00:00.000Z"
}Last updated